Loading...
Searching...
No Matches
itk::OpenCLDefaultImageDimentions Struct Reference

`#include <itkGPUSupportedImages.h>`

## Detailed Description

Default OpenCL image dimensions support struct.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 36 of file itkGPUSupportedImages.h.

## Public Member Functions

| itkStaticConstMacro (Support1D, bool, true)
| itkStaticConstMacro (Support2D, bool, true)
| itkStaticConstMacro (Support3D, bool, true)

## Member Function Documentation

## itkStaticConstMacro() [1/3]

itk::OpenCLDefaultImageDimentions::itkStaticConstMacro | ( | Support1D | ,
|  | bool | ,
|  | true | )

## itkStaticConstMacro() [2/3]

itk::OpenCLDefaultImageDimentions::itkStaticConstMacro | ( | Support2D | ,
|  | bool | ,
|  | true | )

## itkStaticConstMacro() [3/3]

itk::OpenCLDefaultImageDimentions::itkStaticConstMacro | ( | Support3D | ,
|  | bool | ,
|  | true | )

Generated on 1768596610 for elastix by 1.15.0 |